#user-image-form {
    background: var(--lightergreen);
    padding: 1rem 3rem;
    max-width: 767px;
    margin: auto;
}

#user-image-form #overlay {
    display: none;
}

#user-image-form.htmx-request #overlay {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    width: 767px;
    height: 100%;
    background: black;
    z-index: 10;
    opacity: 0.2;
    margin-left: -16px;
    margin-right: 15px;
    margin-top: -16px;
    text-align: center;
}

#user-image-form #overlay .spinner {
    width: 48px;
    height: 48px;
    border: 5px solid #FFF;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: overlay-spinner-rotation 1s linear infinite;
}

#user-image-upload {
    max-width: 250px;
    margin: auto;
}

#user-image-form .g-recaptcha > div {
    margin: auto;
}

@keyframes overlay-spinner-rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}